<?
session_start();
require_once('../connect/connect.php'); 
include_once('../lib/lib.php');
require('pdk.php');

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form")) 
	{
	$err="";

	$opl_data=$_POST['opl_data'];
	$prim =_pre($_POST['prim']);
	if(!$opl_data) $err .= 'Укажите, до какой даты оплачен блок<br>';

	if(trim($_POST['rec_url']))
		{
		$dom=trim($_POST['rec_url']);
		$dom=strip_tags($dom);
		$dom=str_replace("'","",$dom);
		$dom=str_replace("`","",$dom);
		$dom=str_replace("\"","",$dom);
		if (strpos ($dom, "http:") === 0)
		$pos=strpos ($dom, "http:")+7; else $pos=0;
		$dom=substr($dom, $pos, strlen($dom)-$pos); 
   		$rec_url="http://".$dom; 
		} 
	else $rec_url='';

	
	if ($_FILES['fil']['tmp_name'])
		{
		$ext = type_img($_FILES['fil']['type']);
  		if ($ext != ".gif" && $ext != ".jpg" && $ext != ".jpeg") 
  		$err .= "Недопустимый формат файла. Допускаются только файлы в формате GIF, JPG<br>";
		$size_img = getimagesize($_FILES['fil']['tmp_name']);
		$banner=$size_img[0]."_".$size_img[1];
		} 
	else $err .= "Вы не загрузили баннер<br>";
	
	if ($err=="")
		{
		mysql_query("INSERT INTO rec (
		rec_url,
		rec_typ,
		banner,
		opl_data,
		opl,
		prim
		) 
		VALUES 
		(
		'".$rec_url."',
		'2',
		'".$banner."',
		'".$opl_data."',
		'1',
		'".$prim."'
		)");

		$ins=mysql_insert_id();
	
		if(!$err && $ins)
			{
			$ssmall='banner/'.$ins.$ext;
			if(copy($_FILES['fil']['tmp_name'], $base_path.$ssmall))
				{
				if($rec_url)
				$rec_cont='<a rel="nofollow" href="'.$rec_url.'"><img border=0 src="'.dir_top().$ssmall.'"></a>';
				else
				$rec_cont='<img border=0 src="'.dir_top().$ssmall.'">';
		
	    		mysql_query("UPDATE rec SET rec_img='".$ssmall."', rec_cont='".$rec_cont."' WHERE id_rec='".$ins."'");
				} 
				else
				{
	    		mysql_query("DELETE FROM rec WHERE id_rec='".$ins."'");
				}
			}
		
		echo "<HTML><HEAD><meta http-equiv='Refresh' content='0; URL=refresh.php?i=all_rec_user.php'></HEAD></HTML>";
		exit();
		} 
	}


$titl="Графический баннер GIF";
require ('top.php'); 
if($err) echo "<p><font color=red>".$err."</font></p>";
?>
<form enctype="multipart/form-data" name="form" method="post" action="">
<table>
<tr>
  <td width="170">Ссылка</td>
  <td><input type="text" name="rec_url" size="60" value="<? echo $rec_url; ?>"></td>
</tr>

<tr>
  <td>FILE</td>
  <td><input  type="file" name="fil" size="50"></td>
</tr>

<tr>
	<td>Разместить до</td>
	<td><input readonly="readonly" value="<?=$opl_data?>" name="opl_data" class="date-pick dp-applied"></td>
</tr>

<tr>
	<td>Пометки администратора</td>
	<td><textarea name="prim" rows="5" cols="60"><?=stripslashes(htmlspecialchars_decode($prim))?></textarea></td>
</tr>

<tr>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
<td>  <input type="submit"  class="submit" name="Submit" value="Добавить"></td>
<td>
<input type="hidden" name="MM_insert" value="form">
</td>
</tr>
</table>
</form>
<?
require('bottom.php');
?>